---
title: update configuration record by id
slug: api-documentation/update-configuration-record-by-id
docTags: 
createdAt: 2026-08-27T17:08:54.010Z
---

{
  "id": "JTQtdFrlNOoLlNxlooDXE",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.upstartcommerce.com/v1/tax/cfg/records/{recordId}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/tax/cfg/records/{recordId}",
        "description": "Dev Server"
      }
    ],
    "name": "update configuration record by id",
    "description": "<p>This endpoint allows a tenant to update its configuration details.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li>CfgModuleHttpApiAuthorizers.recordModifyAuthorizer</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "The updated values for the tax configuration record.",
          "schema": [
            {
              "name": "templateId",
              "kind": "required",
              "type": "string",
              "description": "Template identifier associated with this configuration record.",
              "minLength": 1
            },
            {
              "name": "siteIds",
              "kind": "optional",
              "type": "array",
              "description": "Unique site identifiers associated with the tenant that wants to update this configuration. ",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "tags",
              "kind": "optional",
              "type": "array",
              "description": "",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "name",
              "kind": "optional",
              "type": "string",
              "description": "Name of the tax calculation system for this configuration record. ",
              "minLength": 1
            },
            {
              "name": "data",
              "kind": "required",
              "type": "object",
              "description": "",
              "example": "",
              "schema": [
                {
                  "name": "taxProvider",
                  "kind": "required",
                  "type": "string",
                  "description": "Name of the provider that provides the tax calculation service for this configuration record.",
                  "minLength": 1
                },
                {
                  "name": "taxCalculationEnabled",
                  "kind": "required",
                  "type": "boolean",
                  "description": "<p>This flag determines whether the tax is calculated for this configuration record or not. If the flag is set to true, the tax is calculated for this configuration record.</p>"
                },
                {
                  "name": "addressValidationEnabled",
                  "kind": "required",
                  "type": "boolean",
                  "description": "<p>This flag determines whether the address for this configuration is validated or not. If the flag is set to true, the address is validated.</p>"
                },
                {
                  "name": "documentRecordingEnabled",
                  "kind": "required",
                  "type": "boolean",
                  "description": "<p>This flag determines whether the transactions made by this configuration are reported to the authorities or not. If the flag is set to true, the transactions may be recorded permanently.</p>"
                },
                {
                  "name": "transactionLoggingEnabled",
                  "kind": "required",
                  "type": "boolean",
                  "description": "<p>This flag determines whether the transactions made by this configuration are logged or not. If the flag is set to true, the transactions are logged.</p>"
                },
                {
                  "name": "username",
                  "kind": "required",
                  "type": "string",
                  "description": "Username of the user this configuration record is associated with.",
                  "minLength": 1
                },
                {
                  "name": "companyCode",
                  "kind": "required",
                  "type": "string",
                  "description": "Unique company code for this configuration record's company. ",
                  "minLength": 1
                },
                {
                  "name": "environment",
                  "kind": "required",
                  "type": "string",
                  "description": "Environment type for this configuration record. ",
                  "minLength": 1
                },
                {
                  "name": "timeoutSeconds",
                  "kind": "required",
                  "type": "number",
                  "description": "This field specifies the time limit after which the API throws an error. "
                },
                {
                  "name": "password",
                  "kind": "required",
                  "type": "string",
                  "description": "Unique password associated with the username. ",
                  "minLength": 1
                },
                {
                  "name": "taxAddress",
                  "kind": "required",
                  "type": "object",
                  "description": "Address for this configuration's company. ",
                  "example": "",
                  "schema": [
                    {
                      "name": "city",
                      "kind": "required",
                      "type": "string",
                      "description": "City name.",
                      "minLength": 1
                    },
                    {
                      "name": "street1",
                      "kind": "required",
                      "type": "string",
                      "description": "<p>Street name/number.</p>",
                      "minLength": 1
                    },
                    {
                      "name": "country",
                      "kind": "required",
                      "type": "string",
                      "description": "Country where the company resides. ",
                      "minLength": 1
                    },
                    {
                      "name": "postalCode",
                      "kind": "required",
                      "type": "string",
                      "description": "Postal code.",
                      "minLength": 1
                    },
                    {
                      "name": "stateOrRegion",
                      "kind": "required",
                      "type": "string",
                      "description": "Two character code for State or Region.",
                      "minLength": 1
                    }
                  ]
                }
              ]
            },
            {
              "name": "enabled",
              "kind": "required",
              "type": "boolean",
              "description": ""
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-the configuration record is updated.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "subExamples": [
          {
            "label": "GENERATED",
            "code": "// Success-the configuration record is updated.\n\"\""
          },
          {
            "label": "example-1",
            "code": "string"
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "string",
            "description": "Record identifier of the updated configuration record. ",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "<p>Bad Request-the request body is either missing the required fields or the validations have failed for the request body.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name. ",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code. ",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "array",
                "description": "Details about the error. ",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "path",
                    "kind": "required",
                    "type": "string",
                    "description": "Field from the request body which is causing the error. ",
                    "minLength": 1
                  },
                  {
                    "name": "errors",
                    "kind": "required",
                    "type": "array",
                    "description": "Error details. ",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Error type.",
                        "minLength": 1
                      },
                      {
                        "name": "message",
                        "kind": "required",
                        "type": "string",
                        "description": "Error message. ",
                        "minLength": 1
                      }
                    ]
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized-the provided credentials were invalid for this endpoint.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found-the requested resource was not found in the NoChannel system.</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "415",
        "description": "<p>Unsupported Media Type-content type isn't set to application/json.</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Dt-edZ0RtFSW_25X1rOEF",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.upstartcommerce.com/v1/tax/cfg/records/{recordId} \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"templateId\": \"\",\n     \"data\": {\n     \"taxProvider\": \"\",\n     \"taxCalculationEnabled\": \"\",\n     \"addressValidationEnabled\": \"\",\n     \"documentRecordingEnabled\": \"\",\n     \"transactionLoggingEnabled\": \"\",\n     \"username\": \"\",\n     \"companyCode\": \"\",\n     \"environment\": \"\",\n     \"timeoutSeconds\": \"\",\n     \"password\": \"\",\n     \"taxAddress\": {\n     \"city\": \"\",\n     \"street1\": \"\",\n     \"country\": \"\",\n     \"postalCode\": \"\",\n     \"stateOrRegion\": \"\"\n     }\n     },\n     \"enabled\": \"\"\n     }'"
        },
        {
          "id": "H4vmDwQyvB8zogp0FHCNh",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"templateId\": \"\",\n   \"data\": {\n      \"taxProvider\": \"\",\n      \"taxCalculationEnabled\": \"\",\n      \"addressValidationEnabled\": \"\",\n      \"documentRecordingEnabled\": \"\",\n      \"transactionLoggingEnabled\": \"\",\n      \"username\": \"\",\n      \"companyCode\": \"\",\n      \"environment\": \"\",\n      \"timeoutSeconds\": \"\",\n      \"password\": \"\",\n      \"taxAddress\": {\n         \"city\": \"\",\n         \"street1\": \"\",\n         \"country\": \"\",\n         \"postalCode\": \"\",\n         \"stateOrRegion\": \"\"\n      }\n   },\n   \"enabled\": \"\"\n});\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/tax/cfg/records/{recordId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "6ZpYpn3Lq54I2oql2armS",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/tax/cfg/records/{recordId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"templateId\": \"\",\n   \"data\": {\n      \"taxProvider\": \"\",\n      \"taxCalculationEnabled\": \"\",\n      \"addressValidationEnabled\": \"\",\n      \"documentRecordingEnabled\": \"\",\n      \"transactionLoggingEnabled\": \"\",\n      \"username\": \"\",\n      \"companyCode\": \"\",\n      \"environment\": \"\",\n      \"timeoutSeconds\": \"\",\n      \"password\": \"\",\n      \"taxAddress\": {\n         \"city\": \"\",\n         \"street1\": \"\",\n         \"country\": \"\",\n         \"postalCode\": \"\",\n         \"stateOrRegion\": \"\"\n      }\n   },\n   \"enabled\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "kJHTJcI8ghk2Q4Q5JvnIa",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/tax/cfg/records/{recordId}\"\n\npayload = json.dumps({\n   \"templateId\": \"\",\n   \"data\": {\n      \"taxProvider\": \"\",\n      \"taxCalculationEnabled\": \"\",\n      \"addressValidationEnabled\": \"\",\n      \"documentRecordingEnabled\": \"\",\n      \"transactionLoggingEnabled\": \"\",\n      \"username\": \"\",\n      \"companyCode\": \"\",\n      \"environment\": \"\",\n      \"timeoutSeconds\": \"\",\n      \"password\": \"\",\n      \"taxAddress\": {\n         \"city\": \"\",\n         \"street1\": \"\",\n         \"country\": \"\",\n         \"postalCode\": \"\",\n         \"stateOrRegion\": \"\"\n      }\n   },\n   \"enabled\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Dt-edZ0RtFSW_25X1rOEF"
    },
    "results": {
      "languages": [
        {
          "id": "nHl0jXh_KN3n3Zs-yi1_t",
          "language": "200",
          "code": "// Success-the configuration record is updated.\n\"\"",
          "subExamples": [
            {
              "label": "GENERATED",
              "code": "// Success-the configuration record is updated.\n\"\""
            },
            {
              "label": "example-1",
              "code": "string"
            }
          ]
        },
        {
          "id": "MM4s0jWPUEG7i7VYFU3t3",
          "language": "400",
          "code": "// Bad Request-the request body is either missing the required fields or the validations have failed for the request body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": [\n    {\n      \"path\": \"\",\n      \"errors\": [\n        {\n          \"id\": \"\",\n          \"message\": \"\"\n        }\n      ]\n    }\n  ]\n}"
        },
        {
          "id": "v4ILghrX-0G4z8JPIEfHh",
          "language": "401",
          "code": "// Unauthorized-the provided credentials were invalid for this endpoint.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "mi2eHZ3j71u6FBf1bdccW",
          "language": "404",
          "code": "// Not Found-the requested resource was not found in the NoChannel system.\n"
        },
        {
          "id": "ahuvc35DPWGZMRTBGSVqg",
          "language": "415",
          "code": "// Unsupported Media Type-content type isn't set to application/json.\n"
        }
      ],
      "selectedLanguageId": "nHl0jXh_KN3n3Zs-yi1_t"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}